apt install -y xorriso isolinux gpg libarchive-tools
wget "https://cdimage.debian.org/cdimage/weekly-builds/amd64/iso-cd/debian-testing-amd64-netinst.iso"
mkdir isofiles
bsdtar -C isofiles/ -xf debian-testing-amd64-netinst.iso
cp preseed.cfg isofiles
chmod +w -R isofiles/install.amd/
gunzip isofiles/install.amd/initrd.gz
echo isofiles/preseed.cfg |cpio -H newc -o -A -F isofiles/install.amd/initrd
gzip isofiles/install.amd/initrd
chmod -w -R isofiles/install.amd/
cp grub.cfg isofiles/boot/grub/grub.cfg
chmod +w isofiles/md5sum.txt
cd isofiles
find -type f ! -name "md5sum.txt"  -print0 | xargs -0 md5sum > md5sum.txt
chmod -w md5sum.txt
cd ../
bash makeiso.sh

